{
  lib,
  config,
  ...
}:
let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.programs.wezterm;
in
{
  options.marleyos.programs.wezterm.enable = mkEnableOption "wezterm";

  config = mkIf cfg.enable {
    homebrew.casks = [ "wezterm" ];
  };
}
